Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1050)

Issue 5723465818570752: Issue 520 - Generate PAD files for download portals when updating download links (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 5 months ago by Sebastian Noack
Modified:
5 years, 5 months ago
Reviewers:
Wladimir Palant
Visibility:
Public.

Description

Issue 520 - Generate PAD files for download portals when updating download links

Patch Set 1 : #

Total comments: 40

Patch Set 2 : Addressed comments #

Patch Set 3 : Fixed a typo #

Patch Set 4 : Upgraded to new PAD 4.0 spec and addressed comments #

Patch Set 5 : Added missing license info #

Patch Set 6 : Added PAD file for URL fixer #

Patch Set 7 : Fixed a typo #

Total comments: 6

Patch Set 8 : Added customized description for ABP/Safari #

Patch Set 9 : Addressed comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+927 lines, -116 lines) Patch
M .sitescripts.example View 1 2 3 4 5 5 chunks +13 lines, -1 line 0 comments Download
A sitescripts/extensions/android.py View 1 chunk +31 lines, -0 lines 0 comments Download
M sitescripts/extensions/bin/updateDownloadLinks.py View 1 2 3 7 chunks +57 lines, -77 lines 0 comments Download
A sitescripts/extensions/pad/__init__.py View 1 2 3 4 5 6 7 8 1 chunk +187 lines, -0 lines 0 comments Download
A sitescripts/extensions/pad/language.py View 1 chunk +175 lines, -0 lines 0 comments Download
A sitescripts/extensions/pad/validation.py View 1 2 3 4 5 6 7 8 1 chunk +204 lines, -0 lines 0 comments Download
A sitescripts/extensions/template/pad.xml View 1 2 3 4 5 6 7 1 chunk +182 lines, -0 lines 0 comments Download
M sitescripts/extensions/utils.py View 1 2 3 4 chunks +78 lines, -38 lines 0 comments Download

Messages

Total messages: 9
Sebastian Noack
5 years, 5 months ago (2014-05-23 20:35:25 UTC) #1
Wladimir Palant
http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example File .sitescripts.example (right): http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example#newcode49 .sitescripts.example:49: abp_padTemplate=extensions/template/pad.xml Why list the template for each extension individually ...
5 years, 5 months ago (2014-05-26 10:54:57 UTC) #2
Sebastian Noack
http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example File .sitescripts.example (right): http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example#newcode49 .sitescripts.example:49: abp_padTemplate=extensions/template/pad.xml On 2014/05/26 10:54:57, Wladimir Palant wrote: > Why ...
5 years, 5 months ago (2014-05-26 12:04:53 UTC) #3
Wladimir Palant
http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example File .sitescripts.example (right): http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example#newcode49 .sitescripts.example:49: abp_padTemplate=extensions/template/pad.xml On 2014/05/26 12:04:53, Sebastian Noack wrote: > We ...
5 years, 5 months ago (2014-05-26 13:26:53 UTC) #4
Sebastian Noack
http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example File .sitescripts.example (right): http://codereview.adblockplus.org/5723465818570752/diff/5738600293466112/.sitescripts.example#newcode49 .sitescripts.example:49: abp_padTemplate=extensions/template/pad.xml On 2014/05/26 13:26:53, Wladimir Palant wrote: > On ...
5 years, 5 months ago (2014-05-27 12:01:23 UTC) #5
Sebastian Noack
5 years, 5 months ago (2014-05-27 16:31:59 UTC) #6
Wladimir Palant
LGTM with the nits addressed. http://codereview.adblockplus.org/5723465818570752/diff/6107477854650368/sitescripts/extensions/pad/__init__.py File sitescripts/extensions/pad/__init__.py (right): http://codereview.adblockplus.org/5723465818570752/diff/6107477854650368/sitescripts/extensions/pad/__init__.py#newcode67 sitescripts/extensions/pad/__init__.py:67: ['hg', 'cat', self.download_filename], Please ...
5 years, 5 months ago (2014-06-04 14:32:04 UTC) #7
Sebastian Noack
Please note that I also added a customized description for Adblock Plus for Safari. That ...
5 years, 5 months ago (2014-06-04 16:38:58 UTC) #8
Wladimir Palant
5 years, 5 months ago (2014-06-04 17:17:16 UTC) #9
Even more LGTM
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5